# Class PlaytimeComponent

java.lang.Object
net.miarma.hystuff.component.PlaytimeComponent

All Implemented Interfaces:
  `com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>, Cloneable`

public class PlaytimeComponent extends Object implements com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.hypixel.hytale.codec.builder.BuilderCodec<PlaytimeComponent>`
`CODEC`

### Fields inherited from interface com.hypixel.hytale.component.Component

`EMPTY_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`PlaytimeComponent()`
`PlaytimeComponent(long playtime)`

## Method Summary

Modifier and Type
Method
Description
`com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
`clone()`
`long`
`getPlaytime()`
`void`
`setPlaytime(long playtime)`
`void`
`tick(float dt)`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.hypixel.hytale.component.Component

`cloneSerializable`

## Field Details

### CODEC

public static final com.hypixel.hytale.codec.builder.BuilderCodec<PlaytimeComponent> CODEC

## Constructor Details

### PlaytimeComponent

public PlaytimeComponent()

### PlaytimeComponent

public PlaytimeComponent(long playtime)

## Method Details

### tick

public void tick(float dt)

### getPlaytime

public long getPlaytime()

### setPlaytime

public void setPlaytime(long playtime)

### clone

@NullableDecl public com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> clone()

Specified by:
  `clone` in interface `com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
Overrides:
  `clone` in class `Object`